## Apache Zeta Components Manual :: Docs For Class ezcWorkflowConditionNot

### Workflow::ezcWorkflowConditionNot

### Class ezcWorkflowConditionNot

Boolean NOT.

An object of the ezcWorkflowConditionNot decorates an ezcWorkflowCondition object and negates its expression.

1. <?php
2. $notNondition=new ezcWorkflowConditionNot ($condition);
3. ?>

Source for this file: /Workflow/src/conditions/not.php

### Implements interfaces:

- ezcWorkflowCondition

Version: | //autogen//

### Member Variables

protected ezcWorkflowCondition | `$condition` Holds the expression to negate.

### Method Summary

public ezcWorkflowConditionNot | `__construct( $condition )` Constructs a new not condition on $condition.

### Methods

#### __construct

ezcWorkflowConditionNot __construct( ezcWorkflowCondition $condition )

Constructs a new not condition on $condition.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$condition` | ezcWorkflowCondition |

Documentation generated by phpDocumentor 1.4.3